# ExactDiagonalization.jl

[![Build Status](https://travis-ci.com/Quantum-Many-Body/ExactDiagonalization.jl.svg?branch=master)](https://travis-ci.com/Quantum-Many-Body/ExactDiagonalization.jl)
[![codecov](https://codecov.io/gh/Quantum-Many-Body/ExactDiagonalization.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/Quantum-Many-Body/ExactDiagonalization.jl)
[![][docs-latest-img]][docs-latest-url]
[![][docs-stable-img]][docs-stable-url]
[![996.icu](https://img.shields.io/badge/link-996.icu-red.svg)](https://996.icu)
[![LICENSE](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
[![LICENSE](https://img.shields.io/badge/license-Anti%20996-blue.svg)](https://github.com/996icu/996.ICU/blob/master/LICENSE)

Julia package for the exact diagonalization method in condensed matter physics.

## Introduction

Based on the **symbolic operator representation** of a quantum lattice system in condensed matter physics that is generated by the package [`QuantumLattices`](https://github.com/Quantum-Many-Body/QuantumLattices.jl), exact diagonalization method is implemented for fermionic, hard-core-bosonic and spin systems.

## Documentation
- [**LATEST**][docs-latest-url] &mdash; **documentation of the latest version.**
- [**STABLE**][docs-stable-url] &mdash; **documentation of the stable version.**

## Note

Due to the fast development of this package, releases with different minor version numbers are **not** guaranteed to be compatible with previous ones **before** the release of v1.0.0. Comments are welcomed in the issues.

## Contact
waltergu1989@gmail.com


[docs-latest-img]: https://img.shields.io/badge/docs-latest-blue.svg
[docs-latest-url]: https://quantum-many-body.github.io/ExactDiagonalization.jl/latest/
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://quantum-many-body.github.io/ExactDiagonalization.jl/stable/
