```@meta
CurrentModule=ExactDiagonalization
```

# ExactDiagonalization

*Julia package for the exact diagonalization method in condensed matter physics.*

Based on the **symbolic operator representation** of a quantum lattice system in condensed matter physics that is generated by the package [`QuantumLattices`](https://github.com/Quantum-Many-Body/QuantumLattices.jl), exact diagonalization method is implemented for fermionic, hard-core-bosonic and spin systems.

## Installation

In Julia **v1.6+**, please type `]` in the REPL to use the package mode, then type this command:

```julia
pkg> add ExactDiagonalization
```

## Getting Started

[Examples of exact diagonalization method for quantum lattice system](@ref examples)

## Python counterpart
[HamiltonianPy](https://github.com/waltergu/HamiltonianPy): in fact, the authors of this Julia package worked on the python package at first and only turned to Julia later.

## Manuals

```@autodocs
Modules = [ExactDiagonalization]
```
